cd /d "%~dp0"


REM Instalace klienta pro SafeQ6 tisk
REM --------------------------------------------------------------------------

REM Odinstalace SafeQ klienta v2

IF EXIST "C:\Program Files\Y Soft\SafeQ Client\" GOTO DELX86

IF EXIST "C:\Program Files (x86)\Y Soft\SafeQ Client\" GOTO DELX64

IF EXIST "C:\Program Files\SafeQ6\FSP\Service\FlexiSpoolerService.exe" GOTO SETFSP

GOTO INSTALLCLIENT

:DELX86

SQclient\install.exe -u

rd /s /q "C:\Program Files\Y Soft\"

GOTO INSTALLCLIENT


:DELX64

SQclient\install.exe -u

rd /s /q "C:\Program Files (x86)\Y Soft\"


:INSTALLCLIENT
REM Instalace portu a FSP klienta

start /wait rundll32 printui.dll,PrintUIEntry /dl /n "RICOH-TISK" /q

set DIR_LanguageVBS=

if exist %WINDIR%\System32\Printing_Admin_Scripts\cs-CZ\prndrvr.vbs   (
echo -System CZ-
set DIR_LanguageVBS=cs-CZ
goto CREATEPORT
)

if exist %WINDIR%\System32\Printing_Admin_Scripts\en-US\prndrvr.vbs   (
echo -System US-
set DIR_LanguageVBS=en-US
goto CREATEPORT
)   

goto DEFAULT_CLIENT


:CREATEPORT

cscript %WINDIR%\System32\Printing_Admin_Scripts\%DIR_LanguageVBS%\prnport.vbs -a -r IP_Local -h 127.0.0.1 -o LPR -q secure -md -2e
goto EN_CZ_CLIENT


:DEFAULT_CLIENT
REM Nainstaluje klienta, pokud nejsou Windows CZ nebo EN

FSP_client\ysq-client-install /S /CFG:controllerHost=195.178.73.186 /CFG:noSpooling /CFG:spoolerMode=Client /CFG:noDefaultQueue /D=C:\Program Files\SafeQ6\FSP
goto SETFSP


:EN_CZ_CLIENT

FSP_client\ysq-client-install /S /CFG:controllerHost=195.178.73.186 /CFG:noSpooling /CFG:spoolerMode=Client /CFG:noQueue /CFG:noDefaultQueue /D=C:\Program Files\SafeQ6\FSP


:SETFSP

copy /Y "FSP_client\spooler.config" "C:\Program Files\SafeQ6\FSP\SERVICE"

net stop YSoftSQ-FSP /y
net start YSoftSQ-FSP /y


:PRINTINST
REM Instalace ovladacu tiskarny
IF EXIST "C:\Program Files (x86)" GOTO x64

:x86
REM Ricoh

start /wait rundll32 printui.dll,PrintUIEntry /if /b "RICOH-TISK" /f "ricoh\32bit\OEMSETUP.INF" /r "IP_Local" /m "RICOH IM C3000 PCL 6"
start /wait rundll32 printui.dll,PrintUIEntry /Sr /n "RICOH-TISK" /a "ricoh\RICOH_conf.dat" d g u r p
GOTO END

:x64
REM Ricoh

start /wait rundll32 printui.dll,PrintUIEntry /if /b "RICOH-TISK" /f "ricoh\64bit\OEMSETUP.INF" /r "IP_Local" /m "RICOH IM C3000 PCL 6"
start /wait rundll32 printui.dll,PrintUIEntry /Sr /n "RICOH-TISK" /a "ricoh\RICOH_conf.dat" d g u r p


:END

echo.
echo - Instalace je hotova !	/	Installation complete !
echo.
pause

